<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico" />
    <!-- Bootstrap icons-->
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico" />
    <!-- Bootstrap icons-->
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

</head>
<body>
<!-- Section-->
<section class="py-5">
    <div class="container px-4 px-lg-5 mt-5">
        <div class="row gx-4 gx-lg-5 row-cols-2 row-cols-md-3 row-cols-xl-4 justify-content-center">
            <div class="col mb-5">
                <div class="card h-100">
                    <!-- Product image-->
                    <img th:src="${product.image != null ? '/admin/products/images/' + product.image  : '/admin/products/images/noimg.png'}"
                         class="card-img-top"  alt="loi-load-anh" />
                    <!-- Product details-->
                    <div class="card-body p-4">
                        <div class="text-center">
                            <!-- Product name-->
                            Name:
                            <h5 class="fw-bolder" th:text="${product.name}"></h5><br>
                            Description:
                            <h6 class="fw-bolder" th:text="${product.description}"></h6><br>
                            <!-- Product price-->
                            Price:
                            <span th:text="${product.unitPrice}"></span><br>
                            <div th:if="${product.status} != 0" class="about text-center">
                                <h6 th:text="'Quantity: ' + ${product.quantity}"></h6>
                            </div>
                            <div class="about text-center">
                                <div th:if="${product.status} == 0">
                                    <h5 style="color: red">Out of stock</h5>
                                </div>
                                <div th:if="${product.status} == 1">
                                    <h5>On sale</h5>
                                </div>
                                <div th:if="${product.status} == 2">
                                    <h5>Best seller</h5>
                                </div>
                            </div>
                            <div th:if="${product.status} != 0" class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                <div class="text-center">
                                    <a th:if="${session.username}"  class="btn btn-outline-dark mt-auto" th:href="@{'/carts/add/' + ${product.productId}}">Add to cart</a>
                                    <a th:unless="${session.username}" class="btn btn-outline-dark mt-auto" th:href="@{/alogin}">Add to cart</a>
                                    <a class="btn btn-outline-dark mt-auto" th:href="@{/all_product}">Back</a>
                                </div>
                            </div>
                            <div th:if="${product.status} == 0" class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                <div class="text-center">
                                    <a class="btn btn-outline-dark mt-auto" th:href="@{/all_product}">Back</a>
                                </div>
                            </div>
                    </div>

                </div>
            </div>

        </div>
    </div>
</section>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->
<script src="js/scripts.js"></script>
</body>
</html>
